var _excluded = ["uiType"];
function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }
function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }
import React, { Suspense } from 'react';
import Button from "./default";
import { Spin } from "../blank";
var comsMap = {
  default: Button,
  event: /*#__PURE__*/React.lazy(function () {
    return import("./event");
  }),
  // 下载型按钮，参数? request 类型按钮一致，接口返回? data 字段为下载链?
  download: /*#__PURE__*/React.lazy(function () {
    return import("./download");
  }),
  sync: /*#__PURE__*/React.lazy(function () {
    return import("./sync");
  }),
  form: /*#__PURE__*/React.lazy(function () {
    return import("./form");
  }),
  'drawer-modal': /*#__PURE__*/React.lazy(function () {
    return import("./test");
  }),
  'business-card': /*#__PURE__*/React.lazy(function () {
    return import("./business-card");
  }),
  request: /*#__PURE__*/React.lazy(function () {
    return import("./request");
  }),
  'confirm-modal': /*#__PURE__*/React.lazy(function () {
    return import("./confirmModal");
  }),
  link: /*#__PURE__*/React.lazy(function () {
    return import("./link");
  }),
  'checkbox-group': /*#__PURE__*/React.lazy(function () {
    return import("../checkbox-group");
  }),
  a: /*#__PURE__*/React.lazy(function () {
    return import("./anchor");
  }),
  anchor: /*#__PURE__*/React.lazy(function () {
    return import("./anchor");
  }),
  // batch: React.lazy(() => import('./batch')),
  upload: /*#__PURE__*/React.lazy(function () {
    return import("./upload");
  }),
  delconfirm: /*#__PURE__*/React.lazy(function () {
    return import("./comfirm");
  }),
  'select-search': /*#__PURE__*/React.lazy(function () {
    return import("./select-search");
  })
  // countdown: React.lazy(() => import('./countdown')),
};
export default (function (_ref) {
  var _ref$uiType = _ref.uiType,
    uiType = _ref$uiType === void 0 ? 'default' : _ref$uiType,
    others = _objectWithoutProperties(_ref, _excluded);
  var BtnCom = comsMap[uiType] || Button;
  // @ts-ignore
  return /*#__PURE__*/React.createElement(Suspense, {
    fallback: /*#__PURE__*/React.createElement(Spin, null)
  }, /*#__PURE__*/React.createElement(BtnCom, others));
});